EDIT - feature request #8095

feature request # 8086 (New): registration submission endpoint implemented

response model for registration submission webservice
02/12/2019 01:57 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority13 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal

Description

web service URLs:

POST: /registration/
PUT: /registration/{phycobankID-urlencoded}

The submission data schema is being discussed in #8085

Upon submission the service will respond with one of the following options:

1. AHTTP error code (400) and the response object with a detailed error message in case the submitted data was causing a

problem in the phycobank system.

2. Response object which also trans ports the preliminary persistent identifier (http:/phycobank.org/{integer}) for the nomenclatural

act. The identifier is not made public at this point.
Model (work in progress) by example

{
"errors": [
"error message 1",
"error message 2",
} 14
"identifier": "http://phycobank.org/999999"
"status": "PREPARATION"

Related issues:
Related to EDIT - task #8087: improve response model of registration/identifi...

New

History

#1 - 02/12/2019 01:59 PM - Andreas Kohlbecker

- Status changed from New to Duplicate

duplicates #8086

#2 - 02/12/2019 01:59 PM - Andreas Kohlbecker

- Is duplicate of feature request #8086: registration submission endpoint implemented added

#3 - 02/12/2019 01:59 PM - Andreas Kohlbecker

- Target version deleted (Release 5.6)

#4 - 02/12/2019 02:03 PM - Andreas Kohlbecker

- Subject changed from HTTP POST & PUT service to submit nomencaltural act data for registrations to response model for registration submission

webservice
- Description updated

- Status changed from Duplicate to New
https://dev.e-taxonomy.eu/redmine/issues/8085
http://phycobank.org/%7Binteger%7D
https://dev.e-taxonomy.eu/redmine/issues/8086

- Target version set to Release 5.6

reusing this ticket for related issue ...

#5 - 02/12/2019 02:04 PM - Andreas Kohlbecker

- Is duplicate of deleted (feature request #8086: registration submission endpoint implementeqd)

#6 - 02/12/2019 02:04 PM - Andreas Kohlbecker
- Parent task set to #8086

#7 - 02/12/2019 02:09 PM - Andreas Kohlbecker

- Description updated

#8 - 02/12/2019 02:22 PM - Andreas Kohlbecker

- Related to task #8087: improve response model of registration/identifier/{registrationID}/status.json web service added

#9 - 04/11/2019 05:38 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#10 - 05/03/2019 02:59 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#11 - 07/19/2019 03:07 PM - Andreas Kohlbecker

- Target version changed from Release 5.8 to Release 5.10

#12 - 09/20/2019 05:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.10 to Release 5.11

#13 - 11/04/2019 04:36 PM - Andreas Kohlbecker

- Target version changed from Release 5.11 to Release 5.12

#14 - 01/16/2020 11:55 AM - Andreas Kohlbecker

- Target version changed from Release 5.12 to Release 5.13

#15 - 03/10/2020 09:30 AM - Andreas Kohlbecker

- Target version changed from Release 5.13 to Release 5.14

#16 - 04/08/2020 04:13 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#17 - 06/23/2020 01:58 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#18 - 01/13/2021 04:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#19 - 01/27/2021 03:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#20 - 03/10/2021 02:53 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#21 - 04/20/2021 08:47 AM - Andreas Kohlbecker
- Priority changed from Highest to Priority13

- Target version changed from Release 5.22 to Reviewed Next Major Release
